/***************************************************************************
                           crc32.h  -  description
                             -------------------
    SPDX-FileCopyrightText: 2003 Csaba Karai
    e-mail               : krusader@users.sourceforge.net
    web site             : http://krusader.sourceforge.net
 ---------------------------------------------------------------------------
  Description
 ***************************************************************************

  A

     db   dD d8888b. db    db .d8888.  .d8b.  d8888b. d88888b d8888b.
     88 ,8P' 88  `8D 88    88 88'  YP d8' `8b 88  `8D 88'     88  `8D
     88,8P   88oobY' 88    88 `8bo.   88ooo88 88   88 88ooooo 88oobY'
     88`8b   88`8b   88    88   `Y8b. 88~~~88 88   88 88~~~~~ 88`8b
     88 `88. 88 `88. 88b  d88 db   8D 88   88 88  .8D 88.     88 `88.
     YP   YD 88   YD ~Y8888P' `8888Y' YP   YP Y8888D' Y88888P 88   YD

                                                     H e a d e r    F i l e

 ***************************************************************************
 *                                                                         *
 *   SPDX-License-Identifier: GPL-2.0-or-later
 *                                                                         *
 ***************************************************************************/

#ifndef __CRC32_H__
#define __CRC32_H__

class CRC32
{
private:
    unsigned long crc_accum;
    static unsigned long crc_table[256];
    static bool crc_initialized;

public:
    explicit CRC32(unsigned long initialValue = (unsigned long)-1);

    void update(const unsigned char *buffer, int bufferLen);
    unsigned long result();
};

#endif /* __CRC32_H__ */
